## python-git 3.1.37

=== Makefile ===
.PHONY: all clean release force_release

all:
	@grep -Ee '^[a-z].*:' Makefile | cut -d: -f1 | grep -vF all

clean:
	rm -rf build/ dist/ .eggs/ .tox/

release: clean
	./check-version.sh
	make force_release

force_release: clean
	./build-release.sh
	twine upload dist/*
	git push --tags origin main

=== debian/changelog ===
python-git (3.1.37-3) unstable; urgency=medium

  * Team upload.
  * Source-only upload. 

 -- Jérémy Lal <kapouer@melix.org>  Fri, 12 Jan 2024 16:11:11 +0100

python-git (3.1.37-2) unstable; urgency=medium

  * Team upload.
  * Add pydist for GitPython alias

 -- Jérémy Lal <kapouer@melix.org>  Sat, 06 Jan 2024 19:33:40 +0100

python-git (3.1.37-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.1.37

 -- Hans-Christoph Steiner <hans@eds.org>  Fri, 29 Sep 2023 12:35:58 +0200

python-git (3.1.36-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.1.36

 -- Hans-Christoph Steiner <hans@eds.org>  Mon, 18 Sep 2023 22:09:04 +0200

## python-git 3.1.44

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
BUILDDIR      = build
SPHINXOPTS    = -W
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html web pickle htmlhelp latex changes linkcheck

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview over all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	mkdir -p $(BUILDDIR)/html $(BUILDDIR)/doctrees
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

pickle:
	mkdir -p $(BUILDDIR)/pickle $(BUILDDIR)/doctrees
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

web: pickle

json:
	mkdir -p $(BUILDDIR)/json $(BUILDDIR)/doctrees
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	mkdir -p $(BUILDDIR)/htmlhelp $(BUILDDIR)/doctrees
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

latex:
	mkdir -p $(BUILDDIR)/latex $(BUILDDIR)/doctrees
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	mkdir -p $(BUILDDIR)/changes $(BUILDDIR)/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	mkdir -p $(BUILDDIR)/linkcheck $(BUILDDIR)/doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

=== debian/changelog ===
python-git (3.1.44-1) unstable; urgency=medium

  * New upstream version 3.1.44

 -- Hans-Christoph Steiner <hans@eds.org>  Wed, 05 Mar 2025 19:51:18 +0100

=== debian/control ===
Source: python-git
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Vincent Bernat <bernat@debian.org>,
           TANIGUCHI Takaki <takaki@debian.org>,
           Yaroslav Halchenko <debian@onerussian.com>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               dh-sequence-sphinxdoc,
               pybuild-plugin-pyproject,
               python3-sphinx,
               python3-sphinx-rtd-theme,
               python3-all,
               python3-setuptools,
               python3-pyflakes,
               python3-pytest <!nocheck>,
               python3-ddt
Build-Depends-Indep: python3-gitdb,
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/python-team/packages/python-git.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-git
Homepage: https://github.com/gitpython-developers/GitPython
Rules-Requires-Root: no
Description: Python library to interact with Git repositories
 The GitPython project provides object model access to a Git repository, so
 Python can be used to manipulate it. Repository objects can be opened or
 created, which can then be traversed to find parent commit(s), trees, blobs,
 etc.

Package: python3-git
Architecture: all
Depends: git,
         ${misc:Depends},
         ${python3:Depends},
Suggests: python-git-doc,
Description: ${source:Synopsis}
 ${source:Extended-Description}
 .
 This package provides the Python 3.x module.

Package: python-git-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Breaks: python-git
Replaces: python-git
Multi-Arch: foreign
Description: ${source:Synopsis} - docs
 ${source:Extended-Description}
 .
 This package provides the documentation.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_DISABLE=test

%:
	dh $@ --buildsystem=pybuild

execute_before_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-git-doc/usr/share/doc/python-git-doc/html
endif

## python-git 3.1.45

=== requirements.txt ===
gitdb>=4.0.1,<5
typing-extensions>=3.10.0.2;python_version<"3.10"

=== doc/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 # You can set these variables from the command line.
 BUILDDIR      = build
-SPHINXOPTS    = -W
+SPHINXOPTS    =
 SPHINXBUILD   = sphinx-build
 PAPER         =

=== doc/requirements.txt ===
sphinx >= 7.1.2, < 7.2
sphinx_rtd_theme
sphinx-autodoc-typehints

=== debian/changelog ===
python-git (3.1.45-1) unstable; urgency=medium

  * Team upload.

  [ Geovanna Maciel ]
  * Update Standards-Version to 4.7.0.

  [ Colin Watson ]
  * New upstream release.
  * Standards-Version: 4.7.2.

 -- Colin Watson <cjwatson@debian.org>  Wed, 03 Sep 2025 01:25:03 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                python3-pytest <!nocheck>,
                python3-ddt
 Build-Depends-Indep: python3-gitdb,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-git.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-git
 Homepage: https://github.com/gitpython-developers/GitPython

=== debian/tests/control ===
Tests: run-test-suite
Depends: @, git, python3-pytest, python3-pytest-mock, ca-certificates, python3-ddt, python3-all
Restrictions: needs-internet, allow-stderr

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/gitpython-developers/GitPython/tags \
    (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## python-git 3.1.46

=== debian/changelog ===
python-git (3.1.46-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/control: Bump Standards-Version to 4.7.3.
  * debian/control: Add missing Built-Using field.

 -- Boyuan Yang <byang@debian.org>  Thu, 22 Jan 2026 15:39:57 -0500

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: python-git
 Section: python
-Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Vincent Bernat <bernat@debian.org>,
            TANIGUCHI Takaki <takaki@debian.org>,
@@ -17,11 +16,10 @@
                python3-pytest <!nocheck>,
                python3-ddt
 Build-Depends-Indep: python3-gitdb,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-git.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-git
 Homepage: https://github.com/gitpython-developers/GitPython
-Rules-Requires-Root: no
 Description: Python library to interact with Git repositories
  The GitPython project provides object model access to a Git repository, so
  Python can be used to manipulate it. Repository objects can be opened or
@@ -46,6 +44,7 @@
          ${sphinxdoc:Depends},
 Breaks: python-git
 Replaces: python-git
+Built-Using: ${sphinxdoc:Built-Using}
 Multi-Arch: foreign
 Description: ${source:Synopsis} - docs
  ${source:Extended-Description}
